# studio::Widget_Defaults Class Reference

`#include <widget_defaults.h>`

List of all members.

## Public Member Functions

| Widget_Defaults ()
| ~Widget_Defaults ()

## Constructor & Destructor Documentation

Widget_Defaults::Widget_Defaults | ( |  | ) |

References _, GRADIENT_HEIGHT, studio::Widget_Enum::set_param_desc(), synfigapp::Main::signal_blend_method_changed(), synfigapp::Main::signal_bline_width_changed(), studio::Widget_Gradient::signal_clicked(), studio::Widget_Color::signal_clicked(), synfigapp::Main::signal_fill_color_changed(), synfigapp::Main::signal_gradient_changed(), synfigapp::Main::signal_interpolation_changed(), synfigapp::Main::signal_opacity_changed(), and synfigapp::Main::signal_outline_color_changed().

Widget_Defaults::~Widget_Defaults | ( |  | ) |

The documentation for this class was generated from the following files:

- widget_defaults.h
- widget_defaults.cpp